/**
    state.h
    author of the original version: Vojtech Spurny
    @author Vit Kratky
    @version 1.3 20/05/17
*/
#ifndef __STATE_H__
#define __STATE_H__

#include "coordinates.h"
#include "controls.h"

namespace mkr { namespace formation {

class State {
public:
    Coordinates position;
    Controls    controls;

public:
    State(void);
    State(double x, double y, double z, double phi, double psi, double eta);
    State(const State & state);
    State(const Coordinates & co);
    ~State(void);

    double distance(const State & state) const;
};

}}

#endif

