/**
    formtime.cc

    @author Vojtech Spurny
*/
#include "formtime.h"

using namespace mkr::formation;

Time::Time(void) {
	init();
}

Time::~Time(void) { }

void Time::init(void) {
	clock_gettime(CLOCK_MONOTONIC, &start);
	nowTime = start;
}

void Time::now(void) {
	clock_gettime(CLOCK_MONOTONIC, &nowTime);
	if (nowTime.tv_nsec < start.tv_nsec) {
		const int num_sec = (start.tv_nsec - nowTime.tv_nsec) / 1e9 + 1;
		start.tv_nsec -= 1e9 * num_sec;
		start.tv_sec  += num_sec;
	}
	if (nowTime.tv_nsec - start.tv_nsec > 1e9) {
		const int num_sec = (nowTime.tv_nsec - start.tv_nsec) / 1e9;
		start.tv_nsec += 1e9 * num_sec;
		start.tv_sec  -= num_sec;
	}

	sec  = nowTime.tv_sec  - start.tv_sec;
	nsec = nowTime.tv_nsec - start.tv_nsec;
}

