/**
    state.h
    author of the original version: Vojtech Spurny
    @author Vit Kratky
    @version 1.3 20/05/17
*/
#include "state.h"

using namespace mkr::formation;

State::State(void) : position(), controls() { }

State::State(double x, double y, double z, double phi, double psi, double eta) : position(x, y, z, phi, psi, eta), controls() { }

State::State(const State & state) :
        position(state.position), controls(state.controls) { }

State::State(const Coordinates & co) :
        position(co), controls() { }

State::~State(void) { }

double State::distance(const State & state) const {
    const double dx = position.x - state.position.x;
    const double dy = position.y - state.position.y;
    return dx*dx + dy*dy; //why not squared
}
